@import 'styles/layout';
@import 'styles/variables';

.linkButton {
  text-decoration: none;
}
.submitButton,
.fullButton {
  width: 100%;
}

tr {
  border-bottom: 2px solid var(--color-black-5);
}

@include respond-above(md) {
  table {
    border-collapse: collapse;
  }
  th,
  td {
    padding: $basePadding 0;
    &.occurrenceSubmit {
      // Needs to be wide enough to facilitate the widest possible,
      // button label in each language
      min-width: 17rem;
    }
    &.remainingCapacity {
      text-align: center;
    }
  }
}
@include respond-below(md) {
  tr {
    display: grid;
    grid-template-rows: auto;
    grid-template-columns: auto 1fr 1fr auto;
    grid-row-gap: $basePadding;
    padding: 1rem 0;
  }
  td.remainingCapacity {
    grid-column: 4;
    grid-row: 1 / span 2;
    justify-self: end;
    align-self: center;
  }
  td.occurrenceVenue {
    grid-row: 1;
    grid-column: 1 / span 3;
  }
  td.occurrenceDate {
    grid-row: 2;
    grid-column: 1;
  }
  td.occurrenceTime {
    grid-row: 2;
    grid-column: 2;
  }
  td.occurrenceSubmit {
    grid-column: 1 / span 4;
  }
}
